This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 172048 - hwclock sets wrong time, not fully functional if SELinux is enabled
hwclock sets wrong time, not fully functional if SELinux is enabled
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-29 17:39 EDT by Michel Alexandre Salim
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-29 23:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2005-10-29 17:39:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The hardware clock on my computer is set to local time, (Indianapolis, UTC-5); however, when booting into Fedora with SELinux enabled the clock is always set back 5 hours.

Running hwclock from the command line, it just returns without printing anything - -h does not work, --show does not work; currently working around it by just disabling SELinux.

This only happens with no_timer_check and/or no_apic added to my kernel boot parameters, but unfortunately I need at least the first (to stop clock drift).

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.27.1-2.6, util-linux-2.12p-9.12

How reproducible:
Always

Steps to Reproduce:
1. Enable SELinux, policy=targeted
2. Add no_timer_check and no_apic to kernel boot parameters
3. Boot
  

Actual Results:  Clock set as if the hardware clock is UTC; hwclock not functional from command line

Expected Results:  Clock should match hardware clock, hwclock should be working if used by the root user

Additional info:

HP Special Edition L2000, AMD Turion 64, no_timer_check, no_apic
Comment 1 Michel Alexandre Salim 2005-10-29 17:59:56 EDT
no_apic is the culprit. Is this perhaps more of a bug in hwclock than in
selinux-policy-targeted? Without SELinux, hwclock works fine even if APIC is
disabled. From this error message in the kernel log it seems like a good thing
to disable APIC anyway, on this machine:

..MP-BIOS bug: 8254 timer not connected to IO-APIC
timer doesn't work through the IO-APIC - disabling NMI Watchdog!
Using local APIC timer interrupts.
Comment 2 Michel Alexandre Salim 2005-10-29 23:32:29 EDT
Found the problem - during a yum update, for some reason selinux-policy-targeted
was removed, and the filesystem was not properly relabeled.

Note You need to log in before you can comment on or make changes to this bug.